pipe.h File Reference
`#include <wibble/sys/macros.h>`
`#include <unistd.h>`
`#include <deque>`
`#include <cerrno>`
`#include <wibble/exception.h>`
`#include <wibble/sys/thread.h>`
`#include <wibble/sys/mutex.h>`
`#include <wibble/sys/exec.h>`
Include dependency graph for pipe.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | wibble::sys::Pipe
struct | wibble::sys::Pipe::Writer
struct | wibble::sys::PipeThrough

## Namespaces

| wibble
| wibble::sys

## Macros

#define | WIBBLE_SYS_PIPE_H

## Macro Definition Documentation

## WIBBLE_SYS_PIPE_H

#define WIBBLE_SYS_PIPE_H